Subject: bug#41089: 11.91; preview-latex gets confused by tikz calc syntax

From: Dylan Thurston <[email-masked]>
Date: Mon, 11 May 2020 17:22:40 -0400

On Mon, May 11, 2020 at 09:53:50PM +0200, Arash Esbati wrote:
> Dylan Thurston <[email-masked]> writes:
> 
> > On Wed, May 06, 2020 at 07:51:41AM +0200, Arash Esbati wrote:
> >> I think the main issue is that tikz throws an error when $ is redefined:
> >> 
> >>     Package tikz Error: Sorry, some package has redefined the meaning of
> >>     the math-mode dollar sign. This is incompatible with tikz and its
> >>     calc library and might cause unrecoverable errors.
> >
> > Ah, thanks for the hint. And indeed googling it reveals an answer, as
> > explained here:
> > https://tex.stackexchange.com/questions/149626/tikz-library-calc-and-auctex-preview-in-emacs-fails
> 
> Thanks for the link.  I think we should add something to the manual of
> preview.sty about the problem and the solution.  WDYT, would it make
> sense?

That would be great! If you wanted to get really fancy, you could even
do it automatically, if given some appropriate option when the
environment is loaded. (Or maybe even always? Does it make sense to
reset the meaning of '$' in other circumstances?)

--Dylan